src.c.utils.connexionBDD.connexionBDD Class Reference

Classe de connexion a la bd. More...

## Public Member Functions

def | __init__ (self)
| Construeur de la connexion. More...
def | execute
| Execute une requete avec des param. More...
def | lastId (self)
| Id genere par la derniere requete. More...
def | seDeconnecter (self)
| Deconnexion de la BD.
def | initialisationBDD (self)
| Initialise la BD.

## Static Public Member Functions

def | sauver (path)
| Creer une copie de la bd. More...
def | charger (path)
| Charge une copie de la bd. More...

## Detailed Description

Classe de connexion a la bd.

## Constructor & Destructor Documentation

def src.c.utils.connexionBDD.connexionBDD.__init__ | ( |  | self | ) |

Construeur de la connexion.

Initialise la bd en cas d'inexistance

## Member Function Documentation

def src.c.utils.connexionBDD.connexionBDD.charger | ( |  | path | ) |

static

Charge une copie de la bd.

Parameters

  path | le chemin du fichier a charger pour la bd

def src.c.utils.connexionBDD.connexionBDD.execute | ( |  | self,
|  |  | req,
|  |  | param = `()`
| ) |  |

Execute une requete avec des param.

Parameters

  req | la requete a execute
  param | un tuple contenant les donnees a inserer dans la requete

def src.c.utils.connexionBDD.connexionBDD.lastId | ( |  | self | ) |

Id genere par la derniere requete.

Returns
  Id genere par la derniere requete

def src.c.utils.connexionBDD.connexionBDD.sauver | ( |  | path | ) |

static

Creer une copie de la bd.

Parameters

  path | le chemin du fichier de sauvegarde de la bd

The documentation for this class was generated from the following file:

- src/c/utils/connexionBDD.py